window.addEventListener('load', load, false);			// 8.3.0.0 (2022/08/01)
var map;
var icon;
var list;
// 初期表示
function load(){
	// 初期処理
	list = new Array();
	// 地図中央の指定
//	var latlng = new google.maps.LatLng("{@IDO}","{@KEIDO}");
	// ｽｹｰﾙの指定
//	var scale = Number("{@SCALE}");
	var myOptions = {
		zoom: scale,
		center: latlng,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};

	// mapの設定
	map = new google.maps.Map(document.getElementById("map"),myOptions);

	// marker1の設定
//	var latlng1 = new google.maps.LatLng({@IDO},{@KEIDO}); // 位置情報
	var marker1 = new google.maps.Marker({
						position: latlng1,
						map:map,
						title: "村田機械株式会社\n京都本社"
					});
	list.push(marker1);

	// marker2の設定
//	var latlng2 = new google.maps.LatLng({@TO}); // 位置情報
	var marker2 = new google.maps.Marker({
						position: latlng2,
						map:map,
						title: "ムラテック\nメカトロニクス\n本社・滋賀事業所"
					});
	list.push(marker2);

	// clickｲﾍﾞﾝﾄ
	// google.maps.event.addListener(marker1, 'click', clickEventFunc);

	// ﾏｰｶｰの数だけﾘｽﾅｰを登録
	var i = 0;
	for(i = 0; i<list.length; i++){
		setClickEventFunc(list[i]);
	}
}

// ｲﾍﾞﾝﾄﾘｽﾅｰ登録関数
function setClickEventFunc(trgMarker){
	var setEvent = function clickEventFunc(event){
		alert(trgMarker.title);
	}
	// ｲﾍﾞﾝﾄﾘｽﾅｰの登録
	google.maps.event.addListener(trgMarker, 'click', setEvent);
}

// clickｲﾍﾞﾝﾄ
function clickEventFunc(event){
	alert(marker1.title);
}
